# UpdateEnergyLimit

{% hint style="danger" %}
**Origin Energy Limit**

Starting with Java-Tron Odyssey 3.2 release, this parameter is required for deploying new contracts, and the value **should be larger than 0**. For contracts already deployed on the Mainnet prior to Odyssey 3.2, the value is stored as 0, but treated as maximum = 10,000,000.
{% endhint %}

**Body params**:&#x20;

* `owner_address` - Transaction creator address, in hex string format.
* `contract_address` - The address of the contract to be modified, in hex string format.
* `origin_energy_limit` - The maximum energy the creator sets. The greatest amount of energy the creator consumes during contract execution or creation process.
* `permission_id` - Optional, for multi-signature use
* `visible` - Optional.Whehter the address is in base58 format.

**Request**

```
curl --request POST \
     --url https://tron.api.watchdata.io/wallet/updateenergylimit \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --data '
{
     "owner_address": "41608F8DA72479EDC7DD921E4C30BB7E7CDDBE722E",
     "contract_address": "41a7837ce56da0cbb28f30bcd5bff01d4fe7e4c6e3",
     "origin_energy_limit": 0,
     "permission_id": 0,
     "visible": true
}
'
```

**Response**

```
{
  "Error": "class java.lang.IllegalArgumentException : Illegal character 0 at 3"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.watchdata.io/blockchain-apis/tron-api/smart-contracts/updateenergylimit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
